Skip to main content
GET
/
v3
/
profiles
/
{profile}
/
attributes
/
appearance
Read Profile Attributes (Appearance)
curl --request GET \
  --url https://api.{tenant}.getomneo.com/api/v3/profiles/{profile}/attributes/appearance
import requests

url = "https://api.{tenant}.getomneo.com/api/v3/profiles/{profile}/attributes/appearance"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.{tenant}.getomneo.com/api/v3/profiles/{profile}/attributes/appearance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "profile_id": "<string>",
    "hair_colour": "<string>",
    "hair_length": "<string>",
    "shape_body": "<string>",
    "shape_face": "<string>",
    "size_cup": "<string>",
    "size_hat": "<string>",
    "size_formal_jacket": "<string>",
    "size_formal_jacket_length": "<string>",
    "size_formal_shirt": "<string>",
    "size_formal_shirt_fit": "<string>",
    "size_formal_trouser": "<string>",
    "size_formal_trouser_drop": "<string>",
    "size_formal_trouser_leg": "<string>",
    "size_jacket": "<string>",
    "size_pant": "<string>",
    "size_shoe": "<string>",
    "size_type_age": "<string>",
    "size_type_region": "<string>",
    "size_top": "<string>",
    "size_gloves": "<string>",
    "size_swimwear_top": "<string>",
    "size_swimwear_bottom": "<string>",
    "size_swimwear_cup": "<string>",
    "size_dress": "<string>",
    "skin_type": "<string>",
    "measurement_arm": "<string>",
    "measurement_arm_inside": "<string>",
    "measurement_bust": "<string>",
    "measurement_chest": "<string>",
    "measurement_foot_length": "<string>",
    "measurement_head": "<string>",
    "measurement_height": "<string>",
    "measurement_hip": "<string>",
    "measurement_leg_inside": "<string>",
    "measurement_leg_outside": "<string>",
    "measurement_neck": "<string>",
    "measurement_neck_to_wrist": "<string>",
    "measurement_shoulders": "<string>",
    "measurement_waist": "<string>",
    "measurement_weight": "<string>",
    "brow_colour": "<string>",
    "eye_colour": "<string>",
    "measurement_hand_right_thumb": "<string>",
    "measurement_hand_right_index": "<string>",
    "measurement_hand_right_middle": "<string>",
    "measurement_hand_right_ring": "<string>",
    "measurement_hand_right_pinky": "<string>",
    "measurement_hand_left_thumb": "<string>",
    "measurement_hand_left_index": "<string>",
    "measurement_hand_left_middle": "<string>",
    "measurement_hand_left_ring": "<string>",
    "measurement_hand_left_pinky": "<string>",
    "measurement_ear_helix": "<string>",
    "measurement_ear_forward_helix": "<string>",
    "measurement_ear_flat": "<string>",
    "measurement_ear_conch": "<string>",
    "measurement_ear_tragus": "<string>",
    "measurement_ear_lobe": "<string>",
    "created_at": "<string>",
    "updated_at": "<string>"
  }
}
{
"message": "<string>"
}
{
"message": "<string>"
}
{
"message": "<string>"
}

Path Parameters

profile
string<uuid>
required

The profile ID

Response

ProfileAppearanceAttribute

data
ProfileAppearanceAttribute · object
required